/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import fastify from "fastify";
import { corsHook } from "./hooks/cors.js";
import { announcementRoutes } from "./routes/announcement.js";
import { baseRoutes } from "./routes/base.js";
import { logger } from "./utils/logger.js";

const server = fastify({
  logger: false,
});

server.addHook("preHandler", corsHook);

server.register(baseRoutes);
server.register(announcementRoutes);

server.listen({ port: 20_000 }, (error) => {
  if (error) {
    void logger.error("instantiate server", error);
    return;
  }
  void logger.log("debug", "Server listening on port 20000.");
});
